package es.androidcurso.timetracker;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import es.androidcurso.timetracker.entities.Project;
import es.androidcurso.timetracker.sqlite.TimeTrackerHelper;

public class AddProjectActivity extends Activity {

    private TimeTrackerHelper timeTrackerHelper;

    private EditText titleEditTExt;
    private EditText durationEditText;

    private Project project;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        getActionBar().setDisplayShowTitleEnabled(false);
        getActionBar().setDisplayShowHomeEnabled(false);
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_add_project);
        timeTrackerHelper = new TimeTrackerHelper(this);

        titleEditTExt = (EditText) findViewById(R.id.editTitleId);
        durationEditText =  (EditText) findViewById(R.id.editDurationId);

        project = getIntent().getParcelableExtra("project");

        if(null != project){
            TextView title = (TextView) findViewById(R.id.newProjectTextId);
            title.setText("Editar proyecto");
            Button button = (Button) findViewById(R.id.buttonRegisterId);
            button.setText("Modificar");
            titleEditTExt.setText(project.
                    getTitle());
            durationEditText.setText(String.valueOf(project.getEstimatedHours()));
        }
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        if(null != project) {
            getMenuInflater().inflate(R.menu.menu_add_project, menu);
            return true;
        }
        return false;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        int id = item.getItemId();

        if (id == R.id.taskListId) {
            Intent intent = new Intent(this, TaskListActivity.class);
            int idProject = project.getIdProject();
            intent.putExtra("projectId", idProject);
            startActivity(intent);
        }

        return super.onOptionsItemSelected(item);
    }

    public void newProject(View view){
        //Validación de campos

        if(titleEditTExt.getText().toString().isEmpty()){
            titleEditTExt.setError("Título requerido");
        }else if(durationEditText.getText().toString().isEmpty()){
            durationEditText.setError("Duración requerida");
        }else{
            //Se inserta el nuevo proyecto
            int idUser = getIntent().getIntExtra("idUser", 0);
            if(null != project){
                //Modificamos el proyecto
                boolean execute = timeTrackerHelper.updateProject(titleEditTExt.getText().toString(), Integer.valueOf(durationEditText.getText().toString()), project.getIdProject());
                if(execute){
                    Toast.makeText(this,"Se ha modificado el proyecto", Toast.LENGTH_SHORT).show();
                    startProjectListActivity(idUser);
                }
            }else{
                project = timeTrackerHelper.insertProject(titleEditTExt.getText().toString(), Integer.valueOf(durationEditText.getText().toString()),idUser);
                if(null != project){
                    Toast.makeText(this, "Proyecto creado", Toast.LENGTH_SHORT).show();
                    startProjectListActivity(idUser);
                }
            }
        }
    }

    private void startProjectListActivity(int idUser){
        Intent intent = new Intent(this, ProjectListActivity.class);
        intent.putExtra("projectId", project.getIdProject());
        intent.putExtra("userId", idUser);
        startActivity(intent);
    }

    public void back(View view){
        Intent intent = new Intent(this, ProjectListActivity.class);
        int idUser = getIntent().getIntExtra("idUser", 0);
        intent.putExtra("userId", idUser);
        startActivity(intent);
    }

    public void logout(View view){
        ((GlobalState)getApplication()).setSessionUser(null);
        Intent intent = new Intent(this, MainActivity.class);
        startActivity(intent);
    }

}
