package es.androidcurso.timetracker;

import android.app.Activity;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

import es.androidcurso.timetracker.entities.User;
import es.androidcurso.timetracker.sqlite.TimeTrackerHelper;

public class LoginActivity extends Activity {

    private TimeTrackerHelper timeTrackerHelper;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_login);
        timeTrackerHelper = new TimeTrackerHelper(this);
    }

    public void newUser(View view){
        //Validación de campos
        EditText userEditText = (EditText) findViewById(R.id.loginUserId);
        EditText passwordEditText =  (EditText) findViewById(R.id.passwordInputId);
        EditText passwordRepeatEditText = (EditText) findViewById(R.id.repeatPasswordInputId);
        EditText emailEditText =  (EditText) findViewById(R.id.emailInputId);

        String passwordText = passwordEditText.getText().toString();
        String passwordRepeatText = passwordRepeatEditText.getText().toString();


        if(userEditText.getText().toString().isEmpty()){
            userEditText.setError("Login requerido");
        } else if(passwordText.isEmpty()){
            passwordEditText.setError("Contraseña requerida");
        } else if(passwordRepeatText.isEmpty()){
            passwordRepeatEditText.setError("Debes repetir la contraseña");
        } if(emailEditText.getText().toString().isEmpty()){
            emailEditText.setError("Email requerido");
        }else{
            //Se valida la repetición de la contraseña
            if(!passwordText.equals(passwordRepeatText)){
                passwordEditText.setError("Las contraseñas no coinciden");
            }else{
                User insertUser = timeTrackerHelper.insertUser(userEditText.getText().toString(), passwordText, emailEditText.getText().toString());
                if(null != insertUser){
                    Toast.makeText(this, "Usuario Registrado", Toast.LENGTH_SHORT).show();
                    GlobalState gs = (GlobalState) getApplication();
                    gs.setSessionUser(insertUser);
                    Intent intent = new Intent(this, ProjectListActivity.class);
                    startActivity(intent);
                }
            }
        }


    }


}
