package es.androidcurso.timetracker;

import android.app.Activity;
import android.content.Intent;
import android.database.sqlite.SQLiteDatabase;
import android.graphics.Typeface;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.text.SpannableString;
import android.text.style.ForegroundColorSpan;
import android.text.style.UnderlineSpan;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import java.lang.reflect.Type;

import es.androidcurso.timetracker.entities.User;
import es.androidcurso.timetracker.sqlite.TimeTrackerHelper;

public class MainActivity extends Activity {

    private EditText login;
    private EditText password;
    private TextView newUserText;

    private TimeTrackerHelper timeTrackerHelper;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        //Quitamos barra de titulo de la aplicacion
        this.requestWindowFeature(Window.FEATURE_NO_TITLE);
        //Quitamos barra de notificaciones
        this.getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);

        setContentView(R.layout.activity_main);

        login = (EditText) findViewById(R.id.loginTextId);
        login.setTypeface(Typeface.SANS_SERIF);

        password = (EditText) findViewById(R.id.passwordTextId);
        password.setTypeface(Typeface.SANS_SERIF);

        newUserText = (TextView) findViewById(R.id.newUserId);
        SpannableString content = new SpannableString("Nuevo usuario");
        content.setSpan(new UnderlineSpan(), 0, content.length(), 0);
        newUserText.setText(content);

        timeTrackerHelper = new TimeTrackerHelper(this);

    }

    public void login(View view) {
        if (login.getText().toString().isEmpty()) {
            Toast.makeText(this, "Usuario requerido", Toast.LENGTH_SHORT).show();
        } else if (password.getText().toString().isEmpty()) {
            Toast.makeText(this, "Contraseña requerida", Toast.LENGTH_SHORT).show();
        } else {
            User user = timeTrackerHelper.searchUser(login.getText().toString(), password.getText().toString());
            if (null == user) {
                Toast.makeText(this, "Usuario/Contraseña inválidos", Toast.LENGTH_SHORT).show();
            }else{
                GlobalState gs = (GlobalState) getApplication();
                gs.setSessionUser(user);
                Intent intent = new Intent(this, ProjectListActivity.class);
                startActivity(intent);
            }
        }
    }

    public void addUser(View view){
        Intent intent = new Intent(this, LoginActivity.class);
        startActivity(intent);
    }


}
