package es.androidcurso.timetracker;

import android.app.Activity;
import android.app.ListActivity;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.Window;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.ListView;

import java.util.List;

import es.androidcurso.timetracker.adapter.ProjectAdapter;
import es.androidcurso.timetracker.entities.Project;
import es.androidcurso.timetracker.sqlite.TimeTrackerHelper;

public class ProjectListActivity extends ListActivity {

    private TimeTrackerHelper timeTrackerHelper;
    private int idUser;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getActionBar().setDisplayShowTitleEnabled(false);
        getActionBar().setDisplayShowHomeEnabled(false);
        setContentView(R.layout.activity_project_list);
        timeTrackerHelper = new TimeTrackerHelper(this);
        idUser = ((GlobalState) getApplication()).getSessionUser().getUserId();
        List<Project> projectList = timeTrackerHelper.getUserProjects(idUser);
        setListAdapter(new ProjectAdapter(this, projectList));

    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_project_list, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        int id = item.getItemId();

        if (id == R.id.newProjectId) {
            Intent intent = new Intent(this, AddProjectActivity.class);
            intent.putExtra("idUser", idUser);
            startActivity(intent);
        }

        return super.onOptionsItemSelected(item);
    }


    @Override
    protected void onListItemClick(ListView listView, View view, int position, long id) {
        super.onListItemClick(listView, view, position, id);
        Project project = (Project) getListView().getItemAtPosition(position);
        Intent intent = new Intent(this, AddProjectActivity.class);
        intent.putExtra("project", project);
        intent.putExtra("idUser", idUser);
        startActivity(intent);
    }

    public void updateProjects(View view){
        List<Project> projectList = timeTrackerHelper.getUserProjects(idUser);
        setListAdapter(new ProjectAdapter(this, projectList));
    }

    public void logout(View view){
        ((GlobalState)getApplication()).setSessionUser(null);
        Intent intent = new Intent(this, MainActivity.class);
        startActivity(intent);
    }

}
