package es.androidcurso.timetracker;

import android.app.ListActivity;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ListView;

import java.util.List;

import es.androidcurso.timetracker.adapter.ProjectAdapter;
import es.androidcurso.timetracker.adapter.TaskAdapter;
import es.androidcurso.timetracker.entities.Project;
import es.androidcurso.timetracker.entities.Task;
import es.androidcurso.timetracker.sqlite.TimeTrackerHelper;

public class TaskListActivity extends ListActivity {

    private TimeTrackerHelper timeTrackerHelper;
    private int idProject;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getActionBar().setDisplayShowTitleEnabled(false);
        getActionBar().setDisplayShowHomeEnabled(false);
        setContentView(R.layout.activity_task_list);
        timeTrackerHelper = new TimeTrackerHelper(this);
        idProject = getIntent().getIntExtra("projectId", 0);
        List<Task> taskList = timeTrackerHelper.getProjectTasks(idProject);
        setListAdapter(new TaskAdapter(this, taskList));
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_task_list, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        int id = item.getItemId();

        if (id == R.id.newTaskId) {
            Intent intent = new Intent(this, AddTaskActivity.class);
            intent.putExtra("projectId", idProject);
            startActivity(intent);
        }

        return super.onOptionsItemSelected(item);
    }

    @Override
    protected void onListItemClick(ListView listView, View view, int position, long id) {
        super.onListItemClick(listView, view, position, id);
        Task task = (Task) getListView().getItemAtPosition(position);
        Intent intent = new Intent(this, AddTaskActivity.class);
        intent.putExtra("task", task);
        intent.putExtra("projectId", idProject);
        startActivity(intent);
    }

    public void back(View view){
        Intent intent = new Intent(this, AddProjectActivity.class);
        Project project = timeTrackerHelper.findProjectById(idProject);
        intent.putExtra("project", project);
        startActivity(intent);
    }


    public void updateTasks(View view){
        List<Task> taskList = timeTrackerHelper.getProjectTasks(idProject);
        setListAdapter(new TaskAdapter(this, taskList));
    }

    public void logout(View view){
        ((GlobalState)getApplication()).setSessionUser(null);
        Intent intent = new Intent(this, MainActivity.class);
        startActivity(intent);
    }

}
