package es.androidcurso.timetracker.entities;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.Date;

/**
 * Created by Usuario on 02/11/2015.
 */
public class Project implements Parcelable {

    private int idProject;
    private String title;
    private String iniDate;
    private String endDate;
    private int estimatedHours;
    private int totalHours;

    public Project(int idProject, String title, String iniDate, int estimatedHours) {
        this.idProject = idProject;
        this.title = title;
        this.iniDate = iniDate;
        this.estimatedHours = estimatedHours;
    }

    protected Project(Parcel in) {
        idProject = in.readInt();
        title = in.readString();
        estimatedHours = in.readInt();
        iniDate = in.readString();
        endDate = in.readString();
    }

    public static final Creator<Project> CREATOR = new Creator<Project>() {
        @Override
        public Project createFromParcel(Parcel in) {
            return new Project(in);
        }

        @Override
        public Project[] newArray(int size) {
            return new Project[size];
        }
    };

    public int getIdProject() {
        return idProject;
    }

    public void setIdProject(int idProject) {
        this.idProject = idProject;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getIniDate() {
        return iniDate;
    }

    public void setIniDate(String iniDate) {
        this.iniDate = iniDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public Integer getEstimatedHours() {
        return estimatedHours;
    }

    public void setEstimatedHours(Integer estimatedHours) {
        this.estimatedHours = estimatedHours;
    }

    public Integer getTotalHours() {
        return totalHours;
    }

    public void setTotalHours(Integer totalHours) {
        this.totalHours = totalHours;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(idProject);
        dest.writeString(title);
        dest.writeString(iniDate);
        dest.writeString(endDate);
        dest.writeInt(totalHours);
        dest.writeInt(estimatedHours);
    }
}
