package es.androidcurso.timetracker.entities;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by Usuario on 02/11/2015.
 */
public class Task implements Parcelable {

    private int idTask;
    private String title;
    private String description;
    private Integer totalHours;
    private boolean execute;

    public Task(int idTask, String title, String description) {
        this.idTask = idTask;
        this.title = title;
        this.description = description;
        this.execute = false;
    }

    protected Task(Parcel in) {
        idTask = in.readInt();
        title = in.readString();
        description = in.readString();
    }

    public static final Creator<Task> CREATOR = new Creator<Task>() {
        @Override
        public Task createFromParcel(Parcel in) {
            return new Task(in);
        }

        @Override
        public Task[] newArray(int size) {
            return new Task[size];
        }
    };

    public int getIdTask() {
        return idTask;
    }

    public void setIdTask(int idTask) {
        this.idTask = idTask;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getTotalHours() {
        return totalHours;
    }

    public void setTotalHours(Integer totalHours) {
        this.totalHours = totalHours;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(idTask);
        dest.writeString(title);
        dest.writeString(description);
    }
}
